using System;

namespace banco1.domain
{
	/// <summary>
	/// Representa un Movimiento de una cuenta corriente.
	/// </summary>
	public class Movimiento
	{
		protected String mConcepto;
		protected DateTime mFecha;
		protected double mImporte;

		public Movimiento(String concepto, DateTime fecha, double importe)
		{
			mConcepto=(concepto.Length>20 ? concepto.Substring(0, 20) : concepto);
			mFecha=fecha;
			mImporte=importe;
		}

		public String concepto 
		{
			get { return mConcepto; }
			set { mConcepto=value; }
		}

		public String getConcepto() 
		{
			return mConcepto;
		}

		public void setConcepto(String concepto) 
		{
			mConcepto=concepto;
		}

		public DateTime fecha 
		{
			get { return mFecha; }
		}

		public double importe 
		{
			get { return mImporte; }
		}
	}
}
